import { useRef as c, useEffect as f } from "react";
import t from "../../../rc-util/es/raf.mjs";
const a = function() {
  var n = c(0), r = function() {
    t.cancel(n.current);
  };
  return f(function() {
    return r;
  }, []), function(e) {
    r(), n.current = t(function() {
      e();
    });
  };
};
export {
  a as default
};
